{
  "format_version": "1.16.0",
  "minecraft:entity": {
    "description": {
      "identifier": "lifeboat:explode_barrel",
      "is_spawnable": false,
      "is_summonable": true,
      "is_experimental": false
    },

    "components": {
      "minecraft:collision_box": {
          "width": 0.0,
          "height": 0.0
      },
      "minecraft:explode": {
        "fuse_length": {
          "range_min": 0.0,
          "range_max": 0.0
        },
        "fuseLit": true,
        "breaks_blocks": false,
        "power": 3, 
        "causesFire": false,
        "destroyAffectedByGriefing": false
      },
      "minecraft:type_family": {
        "family": [ "explode_barrel" ]
      },
      "minecraft:nameable": {},
      "minecraft:pushable": {
        "is_pushable": false
      },
      "minecraft:knockback_resistance": {
        "value": 10.0
      },
	    "minecraft:physics": {},
      "minecraft:movement.basic":{}
    }

  }
}
